org.eclipse.gef.dot.internal.ui.language.highlighting

## Class DotHighlightingConfiguration

- java.lang.Object
- - org.eclipse.xtext.ui.editor.syntaxcoloring.DefaultHighlightingConfiguration
  - - org.eclipse.gef.dot.internal.ui.language.highlighting.DotHighlightingConfiguration

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.syntaxcoloring.IHighlightingConfiguration

    public class DotHighlightingConfiguration
    extends org.eclipse.xtext.ui.editor.syntaxcoloring.DefaultHighlightingConfiguration

### Field Summary

Fields
`static String` `ATTRIBUTE_NAME_ID`
`static String` `EDGE_OP_ID`
`static String` `GRAPH_NAME_ID`
`static String` `HTML_ATTRIBUTE_EQUAL_SIGN`
`static String` `HTML_ATTRIBUTE_NAME`
`static String` `HTML_ATTRIBUTE_VALUE`
`static String` `HTML_COMMENT`
`static String` `HTML_CONTENT`
`static String` `HTML_TAG`
`static String` `NODE_NAME_ID`
`static String` `NUMERAL_ID`
`static String` `PORT_NAME_ID`
`static String` `QUOTED_STRING_ID`

### Fields inherited from class org.eclipse.xtext.ui.editor.syntaxcoloring.DefaultHighlightingConfiguration

`COMMENT_ID, DEFAULT_ID, INVALID_TOKEN_ID, KEYWORD_ID, NUMBER_ID, PUNCTUATION_ID, STRING_ID, TASK_ID`

### Constructor Summary

Constructors
Constructor and Description
`DotHighlightingConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.xtext.ui.editor.utils.TextStyle` `attributeIdTextStyle()`
`void` `configure(org.eclipse.xtext.ui.editor.syntaxcoloring.IHighlightingConfigurationAcceptor acceptor)`
`org.eclipse.xtext.ui.editor.utils.TextStyle` `edgeOpTextStyle()`
`org.eclipse.xtext.ui.editor.utils.TextStyle` `graphIdTextStyle()`
`org.eclipse.xtext.ui.editor.utils.TextStyle` `keywordTextStyle()`
`org.eclipse.xtext.ui.editor.utils.TextStyle` `nodeIdTextStyle()`
`org.eclipse.xtext.ui.editor.utils.TextStyle` `portIdTextStyle()`
`org.eclipse.xtext.ui.editor.utils.TextStyle` `quotedStringTextStyle()`
`org.eclipse.xtext.ui.editor.utils.TextStyle` `stringTextStyle()`

### Methods inherited from class org.eclipse.xtext.ui.editor.syntaxcoloring.DefaultHighlightingConfiguration

`commentTextStyle, defaultTextStyle, errorTextStyle, numberTextStyle, punctuationTextStyle, taskTextStyle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### GRAPH_NAME_ID

    public static final String GRAPH_NAME_ID

See Also:
  Constant Field Values

#### NODE_NAME_ID

    public static final String NODE_NAME_ID

See Also:
  Constant Field Values

#### PORT_NAME_ID

    public static final String PORT_NAME_ID

See Also:
  Constant Field Values

#### ATTRIBUTE_NAME_ID

    public static final String ATTRIBUTE_NAME_ID

See Also:
  Constant Field Values

#### EDGE_OP_ID

    public static final String EDGE_OP_ID

See Also:
  Constant Field Values

#### QUOTED_STRING_ID

    public static final String QUOTED_STRING_ID

See Also:
  Constant Field Values

#### NUMERAL_ID

    public static final String NUMERAL_ID

See Also:
  Constant Field Values

#### HTML_TAG

    public static final String HTML_TAG

See Also:
  Constant Field Values

#### HTML_ATTRIBUTE_NAME

    public static final String HTML_ATTRIBUTE_NAME

See Also:
  Constant Field Values

#### HTML_ATTRIBUTE_EQUAL_SIGN

    public static final String HTML_ATTRIBUTE_EQUAL_SIGN

See Also:
  Constant Field Values

#### HTML_ATTRIBUTE_VALUE

    public static final String HTML_ATTRIBUTE_VALUE

See Also:
  Constant Field Values

#### HTML_CONTENT

    public static final String HTML_CONTENT

See Also:
  Constant Field Values

#### HTML_COMMENT

    public static final String HTML_COMMENT

See Also:
  Constant Field Values

### Constructor Detail

#### DotHighlightingConfiguration

    public DotHighlightingConfiguration()

### Method Detail

#### configure

    public void configure(org.eclipse.xtext.ui.editor.syntaxcoloring.IHighlightingConfigurationAcceptor acceptor)

Specified by:
  `configure` in interface `org.eclipse.xtext.ui.editor.syntaxcoloring.IHighlightingConfiguration`
Overrides:
  `configure` in class `org.eclipse.xtext.ui.editor.syntaxcoloring.DefaultHighlightingConfiguration`

#### graphIdTextStyle

    public org.eclipse.xtext.ui.editor.utils.TextStyle graphIdTextStyle()

#### nodeIdTextStyle

    public org.eclipse.xtext.ui.editor.utils.TextStyle nodeIdTextStyle()

#### attributeIdTextStyle

    public org.eclipse.xtext.ui.editor.utils.TextStyle attributeIdTextStyle()

#### portIdTextStyle

    public org.eclipse.xtext.ui.editor.utils.TextStyle portIdTextStyle()

#### edgeOpTextStyle

    public org.eclipse.xtext.ui.editor.utils.TextStyle edgeOpTextStyle()

#### stringTextStyle

    public org.eclipse.xtext.ui.editor.utils.TextStyle stringTextStyle()

Overrides:
  `stringTextStyle` in class `org.eclipse.xtext.ui.editor.syntaxcoloring.DefaultHighlightingConfiguration`

#### quotedStringTextStyle

    public org.eclipse.xtext.ui.editor.utils.TextStyle quotedStringTextStyle()

#### keywordTextStyle

    public org.eclipse.xtext.ui.editor.utils.TextStyle keywordTextStyle()

Overrides:
  `keywordTextStyle` in class `org.eclipse.xtext.ui.editor.syntaxcoloring.DefaultHighlightingConfiguration`